extends Node
class_name ESCItemComponent

var _custom_data: Dictionary 

func get_global_id():
    return self.get_parent().global_id

func get_component_type():
    pass

func register(custom_data: Dictionary):
    pass
